"""
URL configuration for vuln_demo project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

import re

from django.contrib import admin
from django.urls import include, path, re_path
from django.views.static import serve

from vuln_demo.settings import INSECURE_AUTO_SERVE_STATIC, STATIC_ROOT, STATIC_URL

urlpatterns = [
    path("admin/", admin.site.urls),
    path("accounts/", include("django.contrib.auth.urls")),
    path("", include("vuln_demo.apps.general.urls")),
    path("vulnerabilities/", include("vuln_demo.apps.vulnerabilities.urls")),
]

if INSECURE_AUTO_SERVE_STATIC:
    urlpatterns.append(
        re_path(  # pyright: ignore[reportArgumentType] # returns URLPattern, instead of URLResolver
            r"^%s(?P<path>.*)$" % re.escape(STATIC_URL.lstrip("/")),
            serve,
            kwargs={"document_root": STATIC_ROOT},
        ),
    )


handler404 = "vuln_demo.apps.general.views.handler404"
handler500 = "vuln_demo.apps.general.views.handler500"
